- [HTTP request](https://developers.google.com/colab/api/reference/rest/v1/operations/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/colab/api/reference/rest/v1/operations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/colab/api/reference/rest/v1/operations/list#body.request_body)
- [Response body](https://developers.google.com/colab/api/reference/rest/v1/operations/list#body.response_body)
  - [JSON representation](https://developers.google.com/colab/api/reference/rest/v1/operations/list#body.ListOperationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/colab/api/reference/rest/v1/operations/list#body.aspect)
- [Try it!](https://developers.google.com/colab/api/reference/rest/v1/operations/list#try-it)

Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.

### HTTP request

`GET https://colaboratory.googleapis.com/v1/operations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The standard list page size. |
| `pageToken` | `string` The standard list page token. |

### Request body

The request body must be empty.

### Response body

The response message for `https://developers.google.com/colab/api/reference/rest/v1/operations/list#google.longrunning.Operations.ListOperations`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "operations": [ { object (`https://developers.google.com/colab/api/reference/rest/Shared.Types/Operation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `operations[]` | ``object (`https://developers.google.com/colab/api/reference/rest/Shared.Types/Operation`)`` A list of operations that matches the specified filter in the request. |
| `nextPageToken` | `string` The standard List next-page token. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/colaboratory`
- `
  https://www.googleapis.com/auth/colaboratory.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).